> For the complete documentation index, see [llms.txt](https://docs.targetpick.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.targetpick.io/targetpick_eng/for-dsp/report-api/video.md).

# Video

{% hint style="info" %}
SSP :arrow\_right: DSP
{% endhint %}

CJ MezzoMedia SSP calls the Report API to the DSP as follows.\
The response delivered to the SSP must be in JSON array format and is case-sensitive. If there are any special considerations or additional requirements when calling the DSP API, please share them during the integration discussion.

## **1. API** Endpoint

| request Url          | Description                                              |
| -------------------- | -------------------------------------------------------- |
| http\://{DSP domain} | DSP media API endpoint that can be called by your system |

### API Request Parameters

| Parameter | Scope    | Description                                 | Sample     |
| --------- | -------- | ------------------------------------------- | ---------- |
| key       | optional | Used if DSP needs to define a value per SSP | 44800908   |
| sdate     | required | Start date for daily query (yyyy-mm-dd)     | 2019-01-01 |
| edate     | required | End date for daily query (yyyy-mm-dd)       | 2019-01-01 |

## **2. API Response**

| Parameter | Description                                 |
| --------- | ------------------------------------------- |
| date      | Date (e.g., 2018-10-02)                     |
| pubid     | Target site ID or app ID                    |
| request   | Request count                               |
| imps      | Impression count                            |
| view      | View count                                  |
| q1        | start count                                 |
| q2        | firstQuartile count                         |
| q3        | midpoint count                              |
| q4        | thirdQuartile count                         |
| q5        | complete count                              |
| click     | click count                                 |
| revenue   | Media revenue (VAT excluded)                |
| …         | Please share if there are additional fields |

### **Report API Sample**

<table><thead><tr><th width="570">Sample url</th><th>Description</th></tr></thead><tbody><tr><td>{DSP URL}?key={keyvalue}&#x26;sdate=2018-09-30&#x26;edate=2018-10-03</td><td>When key is included</td></tr><tr><td>{DSP URL}?sdate=2018-09-30&#x26;edate=2018-10-03</td><td>When key is not included</td></tr></tbody></table>

### Example

{% tabs %}
{% tab title="Response" %}
{% code lineNumbers="true" %}

```json
{
    "data" :[ 
        {
            "date":"20181017",
            "pubid":"da123dfd45645",
            "request":333,
            "imps":333,
            "view":333,
            "q1":333,
            "q2":333,
            "q3":333,
            "q4":333,
            "q5":333,
            "click":333,
            "revenue":333
        },
        ...
    ]
}
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.targetpick.io/targetpick_eng/for-dsp/report-api/video.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
